# reference.py is part of Pylux
#
# Pylux is a program for the management of lighting documentation
# Copyright 2015 Jack Page
# Pylux is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Pylux is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

'''This file contains various universal constants.'''


EOS_GDTF_MAP = {
    'Intens': 'Dimmer',
    'Color_Select': 'Color1',
    'Gobo_Select': 'Gobo1',
    'Red': 'ColorAdd_R',
    'Green': 'ColorAdd_G',
    'Blue': 'ColorAdd_B',
    'White': 'ColorAdd_W',
    'Color_Mix': 'ColorMacro1',
    'Shutter_Strobe': 'Shutter1Strobe',
    'Position_MSpeed': 'PositionMSpeed',
    'Effect_Macros': 'Effects1',
    'Effect_Macro_Rate': 'Effects1Rate',
    'Fixture_Global_Reset': 'FixtureGlobalReset',
    '_Lamp_Control': 'LampControl'
}


usitt_line_weights = {
    'scenery': 'line-weight-light',
    'leader': 'line-weight-light',
    'dimension': 'line-weight-light',
    'masking': 'line-weight-medium',
    'drop': 'line-weight-medium',
    'centre': 'line-weight-medium',
    'plaster': 'line-weight-medium',
    'batten': 'line-weight-heavy',
    'fixture': 'line-weight-heavy',
    'architecture': 'line-weight-heavy',
    'border': 'line-weight-heavy'}

paper_sizes = {
    'A0': (841, 1189),
    'A1': (594, 841),
    'A2': (420, 594),
    'A3': (297, 420),
    'A4': (210, 297)}

gel_colours = {
    # Roscolux
    'R00': '#ffffff',
    'R01': '#fbb39a',
    'R02': '#ffd1ac',
    'R03': '#fbba9a',
    'R04': '#f9b09a',
    'R05': '#ffd7d3',
    'R06': '#fcfadb',
    'R07': '#fdfad1',
    'R08': '#ffe0b8',
    'R09': '#ffcb86',
    'R10': '#fff200',
    'R11': '#ffd21a',
    'R12': '#fff64d',
    'R13': '#ffd88f',
    'R14': '#fcd419',
    'R15': '#fecb00',
    'R16': '#ffc47d',
    'R17': '#ff934b',
    'R18': '#ff9343',
    'R19': '#ff390b',
    'R20': '#ff871c',
    'R21': '#ff6613',
    'R22': '#ff430a',
    'R23': '#ff5a00',
    'R24': '#f50014',
    'R25': '#e51f00',
    'R26': '#d70229',
    'R27': '#b00202',
    'R30': '#ff7a59',
    'R31': '#ff847f',
    'R32': '#ff413c',
    'R33': '#ffc2d0',
    'R34': '#ff8d8d',
    'R35': '#ffa7bb',
    'R36': '#ff6d96',
    'R37': '#f7b1cb',
    'R38': '#ffbbe2',
    'R39': '#e800bc',
    'R40': '#ff4f1f',
    'R41': '#ff5d30',
    'R42': '#ff1c26',
    'R43': '#ff3e93',
    'R44': '#ff33b5',
    'R45': '#eb016d',
    'R46': '#bd045d',
    'R47': '#cc4eb9',
    'R48': '#c800cf',
    'R49': '#c900e6',
    'R50': '#bb002c',
    'R51': '#e6cbff',
    'R52': '#ddbfff',
    'R53': '#e4dcff',
    'R54': '#e6c7ff',
    'R55': '#c0aafd',
    'R56': '#8c2fff',
    'R57': '#b482ff',
    'R58': '#933ffd',
    'R59': '#7200ff',
    'R60': '#ccd8ff',
    'R61': '#d3eaff',
    'R62': '#a1ceff',
    'R63': '#a4d3ff',
    'R64': '#50aefd',
    'R65': '#00a9ff',
    'R66': '#94aeff',
    'R67': '#14a9ff',
    'R68': '#447dff',
    'R69': '#00a3f7',
    'R70': '#6ce5ff',
    'R71': '#0096c7',
    'R72': '#55ccff',
    'R73': '#00a4b8',
    'R74': '#4200ff',
    'R75': '#007aac',
    'R76': '#005773',
    'R77': '#014e95',
    'R78': '#6f6fff',
    'R79': '#1626ff',
    'R80': '#0048ff',
    'R81': '#486fff',
    'R82': '#4f34f8',
    'R83': '#0228ec',
    'R84': '#5767ff',
    'R85': '#0049ce',
    'R86': '#89fa19',
    'R87': '#f0ffba',
    'R88': '#dcfe92',
    'R89': '#51f655',
    'R90': '#007f06',
    'R91': '#005e2c',
    'R92': '#19ffc1',
    'R93': '#01a3a0',
    'R94': '#00985d',
    'R95': '#009c91',
    'R96': '#f3ff6b',
    'R97': '#c0bfc0',
    'R98': '#8f8989',
    'R99': '#d08864',
    'R100': '#ffffff',
    'R101': '#ffffff',
    'R102': '#ffffff',
    'R103': '#ffffff',
    'R104': '#ffffff',
    'R105': '#ffffff',
    'R106': '#ffffff',
    'R111': '#ffffff',
    'R112': '#ffffff',
    'R113': '#ffffff',
    'R114': '#ffffff',
    'R115': '#ffffff',
    'R116': '#ffffff',
    'R117': '#ffffff',
    'R118': '#ffffff',
    'R119': '#ffffff',
    'R120': '#cf000e',
    'R121': '#0f27ff',
    'R122': '#1e9600',
    'R124': '#c90011',
    'R125': '#001aff',
    'R126': '#1a8f00',
    'R127': '#ff430a',
    'R132': '#ffffff',
    'R140': '#ffffff',
    'R160': '#ffffff',
    'R162': '#ffffff',
    'R163': '#ffffff',
    'R302': '#fee5cf',
    'R303': '#ff8a4a',
    'R304': '#fabca9',
    'R305': '#f5bab8',
    'R310': '#ffef4f',
    'R312': '#ffea00',
    'R313': '#ffe462',
    'R316': '#f7aa4f',
    'R317': '#ff7418',
    'R318': '#ff6f29',
    'R321': '#ff943c',
    'R324': '#f50f39',
    'R325': '#e32b0c',
    'R331': '#ff9d8d',
    'R332': '#ff2957',
    'R333': '#f9c5d8',
    'R336': '#ff73b7',
    'R337': '#ffafc2',
    'R339': '#ff1283',
    'R342': '#ff1562',
    'R343': '#ff397f',
    'R344': '#ff05d3',
    'R346': '#ff2dd5',
    'R347': '#d101dd',
    'R348': '#da2dff',
    'R349': '#f000ff',
    'R351': '#efdcff',
    'R353': '#c4adff',
    'R355': '#a590ff',
    'R356': '#c38dff',
    'R357': '#8a2bff',
    'R358': '#8e0aea',
    'R359': '#683fff',
    'R360': '#c9d1ff',
    'R361': '#669efc',
    'R362': '#a7bcff',
    'R363': '#abe9ff',
    'R364': '#8ca9ff',
    'R365': '#909fff',
    'R366': '#29c0f9',
    'R367': '#44a5ff',
    'R368': '#448aff',
    'R369': '#00c6ff',
    'R370': '#01cddf',
    'R371': '#a3a8ff',
    'R372': '#d9dcff',
    'R373': '#e0e9fd',
    'R374': '#01a4a6',
    'R375': '#00b5de',
    'R376': '#0087b1',
    'R377': '#7124ff',
    'R378': '#8474fd',
    'R381': '#391de6',
    'R382': '#250070',
    'R383': '#0022d1',
    'R384': '#0500d0',
    'R385': '#4f02cf',
    'R386': '#7bd300',
    'R388': '#d0f54e',
    'R389': '#29f433',
    'R392': '#009493',
    'R393': '#007150',
    'R395': '#00726a',
    'R397': '#d4d3d3',
    'R398': '#b0b4b9',
    'R1991': '#ffffff',
    'R1995': '#ffffff',
    'R2001': '#e10700',
    'R2002': '#ff6c00',
    'R2003': '#ffcb04',
    'R2004': '#1f9201',
    'R2005': '#0095a8',
    'R2006': '#0048ff',
    'R2007': '#3a54ff',
    'R2008': '#4100d4',
    'R2009': '#630091',
    'R3114': '#ffffff',
    'R3150': '#d9d473',
    'R3152': '#f5802c',
    'R3202': '#909fff',
    'R3203': '#b4beff',
    'R3204': '#c9d1ff',
    'R3206': '#d6dcff',
    'R3208': '#e8ecff',
    'R3216': '#eef1ff',
    'R3220': '#3a54ff',
    'R3304': '#dcfe92',
    'R3308': '#f7b1cb',
    'R3309': '#ffbfda',
    'R3310': '#ff8170',
    'R3313': '#f9c5d8',
    'R3314': '#fbd7e3',
    'R3315': '#f0ffba',
    'R3316': '#f2fdca',
    'R3317': '#f9ffe3',
    'R3318': '#fdebf3',
    'R3405': '#b16b2b',
    'R3406': '#925324',
    'R3407': '#f78d1e',
    'R3408': '#fcc286',
    'R3409': '#ffe2b5',
    'R3410': '#fff1da',
    'R3411': '#f7aa4f',
    'R3441': '#f7b14f',
    'R3442': '#ffd3a8',
    'R3443': '#ffe7d1',
    'R3444': '#fff2e6',
    'R4215': '#cac9ff',
    'R4230': '#a298ff',
    'R4260': '#755fff',
    'R4290': '#5722f1',
    'R4307': '#f0fbff',
    'R4315': '#e7f5f9',
    'R4330': '#b9e3ec',
    'R4360': '#6ccbda',
    'R4390': '#3fbaca',
    'R4415': '#cdff9d',
    'R4430': '#97f459',
    'R4460': '#40dc00',
    'R4490': '#27b900',
    'R4515': '#fffcd2',
    'R4530': '#fffac3',
    'R4560': '#fff685',
    'R4590': '#fff32b',
    'R4615': '#f5bbb0',
    'R4630': '#f5ad9f',
    'R4660': '#ff7859',
    'R4690': '#ff2b2b',
    'R4715': '#f8c1d9',
    'R4730': '#f5a3c7',
    'R4760': '#f173ac',
    'R4790': '#ec008c',
    'R4815': '#f8bac7',
    'R4830': '#f599ab',
    'R4860': '#f27089',
    'R4890': '#ef486b',
    'R4915': '#e0b9fb',
    'R4930': '#d396ff',
    'R4960': '#b256f4',
    'R4990': '#9900e0',
    # Rosco Supergel
    'SG00': '#ffffff',
    'SG01': '#fbb39a',
    'SG02': '#ffd1ac',
    'SG03': '#fbba9a',
    'SG303': '#ff8a4a',
    'SG04': '#f9b09a',
    'SG304': '#fabca9',
    'SG05': '#ffd7d3',
    'SG305': '#f5bab8',
    'SG07': '#fdfad1',
    'SG09': '#ffcb86',
    'SG10': '#fff200',
    'SG11': '#ffd21a',
    'SG312': '#ffea00',
    'SG13': '#ffd88f',
    'SG313': '#ffe462',
    'SG14': '#fcd419',
    'SG15': '#fecb00',
    'SG317': '#ff7418',
    'SG318': '#ff6f29',
    'SG19': '#ff390b',
    'SG20': '#ff871c',
    'SG21': '#ff6613',
    'SG22': '#ff430a',
    'SG23': '#ff5a00',
    'SG24': '#f50014',
    'SG324': '#f50f39',
    'SG25': '#e51f00',
    'SG26': '#d70229',
    'SG27': '#b00202',
    'SG30': '#ff7a59',
    'SG31': '#ff847f',
    'SG331': '#ff9d8d',
    'SG32': '#ff413c',
    'SG332': '#ff2957',
    'SG33': '#ffc2d0',
    'SG35': '#ffa7bb',
    'SG36': '#ff6d96',
    'SG336': '#ff73b7',
    'SG337': '#ffafc2',
    'SG38': '#ffbbe2',
    'SG339': '#ff1283',
    'SG39': '#e800bc',
    'SG40': '#ff4f1f',
    'SG342': '#ff1562',
    'SG43': '#ff3e93',
    'SG343': '#ff397f',
    'SG344': '#ff05d3',
    'SG45': '#eb016d',
    'SG46': '#bd045d',
    'SG346': '#ff2dd5',
    'SG47': '#cc4eb9',
    'SG347': '#d101dd',
    'SG48': '#c800cf',
    'SG348': '#da2dff',
    'SG49': '#c900e6',
    'SG349': '#f000ff',
    'SG50': '#bb002c',
    'SG351': '#efdcff',
    'SG52': '#ddbfff',
    'SG53': '#e4dcff',
    'SG353': '#c4adff',
    'SG54': '#e6c7ff',
    'SG55': '#c0aafd',
    'SG355': '#a590ff',
    'SG56': '#8c2fff',
    'SG356': '#c38dff',
    'SG57': '#b482ff',
    'SG357': '#8a2bff',
    'SG58': '#933ffd',
    'SG358': '#8e0aea',
    'SG59': '#7200ff',
    'SG359': '#683fff',
    'SG61': '#d3eaff',
    'SG361': '#669efc',
    'SG62': '#a1ceff',
    'SG63': '#a4d3ff',
    'SG363': '#abe9ff',
    'SG64': '#50aefd',
    'SG65': '#00a9ff',
    'SG66': '#94aeff',
    'SG366': '#29c0f9',
    'SG67': '#14a9ff',
    'SG367': '#44a5ff',
    'SG68': '#447dff',
    'SG368': '#448aff',
    'SG69': '#00a3f7',
    'SG369': '#00c6ff',
    'SG70': '#6ce5ff',
    'SG370': '#01cddf',
    'SG71': '#0096c7',
    'SG371': '#a3a8ff',
    'SG72': '#55ccff',
    'SG372': '#d9dcff',
    'SG73': '#00a4b8',
    'SG373': '#e0e9fd',
    'SG74': '#4200ff',
    'SG374': '#01a4a6',
    'SG75': '#007aac',
    'SG76': '#005773',
    'SG377': '#7124ff',
    'SG78': '#6f6fff',
    'SG79': '#1626ff',
    'SG80': '#0048ff',
    'SG81': '#486fff',
    'SG82': '#4f34f8',
    'SG382': '#250070',
    'SG83': '#0228ec',
    'SG383': '#0022d1',
    'SG84': '#5767ff',
    'SG384': '#0500d0',
    'SG85': '#0049ce',
    'SG385': '#4f02cf',
    'SG86': '#89fa19',
    'SG386': '#7bd300',
    'SG388': '#d0f54e',
    'SG89': '#51f655',
    'SG389': '#29f433',
    'SG90': '#007f06',
    'SG91': '#005e2c',
    'SG392': '#009493',
    'SG93': '#01a3a0',
    'SG393': '#007150',
    'SG94': '#00985d',
    'SG95': '#009c91',
    'SG395': '#00726a',
    'SG96': '#f3ff6b',
    'SG398': '#b0b4b9',
    'SG100': '#ffffff',
    'SG101': '#ffffff',
    'SG104': '#ffffff',
    'SG113': '#ffffff',
    'SG114': '#ffffff',
    'SG119': '#ffffff',
    'SG120': '#cf000e',
    'SG121': '#0f27ff',
    'SG122': '#1e9600',
    'SG124': '#c90011',
    'SG125': '#001aff',
    'SG126': '#1a8f00',
    'SG127': '#ff430a',
    'SG132': '#ffffff',
    'SG140': '#ffffff',
    'SG160': '#ffffff',
    # LEE
    'L048': '#E66EAF',
    'L797': '#AF0096',
    'L049': '#BE0091',
    'L126': '#BE009B',
    'L798': '#A000BE',
    'L701': '#B45ADC',
    'L345': '#CD6ED7',
    'L703': '#D282DC',
    'L052': '#E6AAFA',
    'L704': '#F0AAFA',
    'L170': '#E6AADC',
    'L136': '#F0BEE6',
    'L169': '#FADCF0',
    'L702': '#E6D2F0',
    'L137': '#C8B4E6',
    'L194': '#BE8CF0',
    'L058': '#B46EF0',
    'L180': '#A064E6',
    'L343': '#8C00D2',
    'L700': '#7D00CD',
    'L181': '#5000AA',
    'L707': '#6400B4',
    'L706': '#6E46C8',
    'L709': '#C8C8FA',
    'L142': '#AAAAF0',
    'L199': '#6464E6',
    'L508': '#5A46C3',
    'L799': '#3C00B4',
    'L071': '#0000B4',
    'L713': '#003CA0',
    'L710': '#8CA0F0',
    'L198': '#6478C8',
    'L716': '#0064D2',
    'L195': '#006ED2',
    'L715': '#3C6EDC',
    'L723': '#5082DC',
    'L721': '#0082E6',
    'L120': '#005FBE',
    'L363': '#006EC3',
    'L085': '#006EB9',
    'L119': '#0078C8',
    'L722': '#008CD2',
    'L079': '#3C8CD2',
    'L714': '#5A91D2',
    'L075': '#64A0F0',
    'L525': '#8EB4FA',
    'L197': '#82AAE6',
    'L712': '#A0BEF0',
    'L200': '#91BEF5',
    'L719': '#9BC3F0',
    'L711': '#AABEDC',
    'L500': '#B4D2FF',
    'L501': '#D7EBFA',
    'L708': '#DCEBFA',
    'L053': '#E6E6FA',
    'L502': '#E1F0FF',
    'L503': '#F4FAFF',
    'L203': '#EBFCFF',
    'L600': '#98a8aa',
    'L601': '#90a0a0',
    'L061': '#DCF5FF',
    'L063': '#D2F5FF',
    'L202': '#D7F0FF',
    'L281': '#CDE6FA',
    'L201': '#C3E1FA',
    'L283': '#AFD9F5',
    'L366': '#AAD2F0',
    'L174': '#AFE1FA',
    'L161': '#7DD2F5',
    'L068': '#46B4F0',
    'L132': '#00A0DC',
    'L165': '#5AC8EB',
    'L352': '#5AC8E1',
    'L143': '#64BED2',
    'L196': '#78D2E6',
    'L727': '#00A5B4',
    'L141': '#00D2E6',
    'L183': '#00D7E3',
    'L118': '#00E1EB',
    'L724': '#69E1EB',
    'L144': '#5AE1E6',
    'L725': '#BEF2F3',
    'L117': '#B4FAF5',
    'L140': '#87F0EB',
    'L353': '#61E8E3',
    'L172': '#00DCDC',
    'L354': '#00F0D7',
    'L729': '#00AFAA',
    'L116': '#00C8B9',
    'L115': '#00EBC8',
    'L327': '#008C50',
    'L124': '#00DC78',
    'L735': '#00BE78',
    'L323': '#00E1AA',
    'L322': '#41F5BE',
    'L131': '#64FAD2',
    'L219': '#9BDCAF',
    'L241': '#AADCC3',
    'L728': '#C8EBD2',
    'L504': '#D2F5DC',
    'L730': '#DCFFE6',
    'L242': '#B9E6B9',
    'L243': '#CDF5AF',
    'L213': '#E6FCDC',
    'L246': '#F5FFE6',
    'L731': '#E1FAD7',
    'L733': '#EBF7CF',
    'L245': '#F0FCD2',
    'L244': '#E6FABE',
    'L138': '#DCFFA0',
    'L088': '#DCFF64',
    'L505': '#E3FF5A',
    'L738': '#AAFF00',
    'L121': '#B4FF64',
    'L122': '#78FA6E',
    'L089': '#5ADC5A',
    'L139': '#4BC300',
    'L090': '#00BE00',
    'L736': '#00AA00',
    'L740': '#5A6E00',
    'L741': '#826400',
    'L642': '#968200',
    'L643': '#B4A000',
    'L650': '#C8A862',
    'L746': '#6E3C00',
    'L653': '#965500',
    'L511': '#963C00',
    'L742': '#E19B50',
    'L208': '#E6A550',
    'L207': '#F0B46B',
    'L232': '#EDBE83',
    'L230': '#DCBE8C',
    'L156': '#E1B48C',
    'L237': '#FCB292',
    'L747': '#F5B99F',
    'L238': '#F5B9AA',
    'L152': '#FFD2C1',
    'L162': '#FCDED8',
    'L506': '#FFDACE',
    'L009': '#FCD7B3',
    'L205': '#FCD9B1',
    'L442': '#FCDCAD',
    'L013': '#FCD89B',
    'L764': '#FCE6B4',
    'L103': '#FCEACC',
    'L206': '#FCEAD6',
    'L443': '#FCEFDB',
    'L763': '#FCF0D2',
    'L212': '#FFFAD7',
    'L007': '#FAFAD2',
    'L765': '#FFE591',
    'L102': '#FFDC5F',
    'L550': '#e3ca3c',
    'L513': '#f5ff7d',
    'L514': '#f5ff5a',
    'L100': '#F5FF00',
    'L010': '#FFFF00',
    'L101': '#FFF500',
    'L767': '#FFE600',
    'L104': '#FFDC00',
    'L015': '#FFCD00',
    'L768': '#FFC600',
    'L179': '#FFBE00',
    'L020': '#FFBE55',
    'L770': '#FFB400',
    'L105': '#FFA000',
    'L777': '#F58200',
    'L512': '#cc6100',
    'L652': '#FF8246',
    'L287': '#FFA055',
    'L286': '#FFB464',
    'L204': '#FAC387',
    'L441': '#FAC084',
    'L744': '#F8C882',
    'L285': '#FCCD94',
    'L236': '#FAC795',
    'L604': '#FFC295',
    'L651': '#FF9B5F',
    'L017': '#E68C64',
    'L134': '#FAA873',
    'L147': '#FCB98C',
    'L776': '#FCBE9B',
    'L773': '#FCC5B2',
    'L108': '#FCBEA9',
    'L008': '#FC9B80',
    'L779': '#FC9885',
    'L158': '#FF8700',
    'L021': '#FF8C32',
    'L778': '#FF7600',
    'L780': '#FF6F00',
    'L022': '#FF6900',
    'L135': '#FF5F00',
    'L781': '#FF5000',
    'L025': '#FF6E46',
    'L507': '#F85000',
    'L019': '#FF4600',
    'L164': '#FF3200',
    'L182': '#F50000',
    'L106': '#F00032',
    'L789': '#AA3C32',
    'L787': '#B9003C',
    'L027': '#C8003C',
    'L029': '#E1003C',
    'L026': '#E6003C',
    'L024': '#FF5A64',
    'L157': '#FF92A3',
    'L107': '#FFA5AF',
    'L109': '#FFB2AF',
    'L176': '#FFAAA0',
    'L790': '#FFB4A5',
    'L036': '#FFA0B9',
    'L192': '#FF8CB4',
    'L111': '#FF8CBE',
    'L794': '#FFAFDC',
    'L002': '#FF78DC',
    'L328': '#FF64C8',
    'L795': '#FA46C8',
    'L128': '#FF50B4',
    'L793': '#FF3CA0',
    'L332': '#FF3787',
    'L148': '#FF507D',
    'L046': '#DC005A',
    'L113': '#FF0064',
    'L127': '#E16273',
    'L748': '#E96785',
    'L110': '#FFB4C8',
    'L247': '#FAC3D7',
    'L035': '#FFC8D2',
    'L153': '#FFC8C8',
    'L004': '#FFC8B4',
    'L151': '#FFCDC3',
    'L154': '#FFD5CF',
    'L248': '#FFE2E4',
    'L249': '#FFECF0',
    'L279': '#FFF3F7',
    'L003': '#FAF0FA',
    'L218': '#F5FFFF',
    'L278': '#F3FFF3',
    'L159': '#FFFAEB',
    'L223': '#FFF3E8',
    'L444': '#FAF3E8',
    'L602': '#a5a5aa',
    'L603': '#c8cdcd',
    'L130': '#FFFFFF',
}
